Bug 130364 - vfat mount can´t display german umlaute (ä,ü) with standard i18n
Summary: vfat mount can´t display german umlaute (ä,ü) with standard i18n
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-19 17:15 UTC by maxmonroe
Modified: 2015-01-04 22:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:19:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description maxmonroe 2004-08-19 17:15:03 UTC
Description of problem:
i just upgraded to new kernel 2.6.7-1.494.2.2 and now the vfat mount
of my data partition can´t display any unicode umlaute like ä,ü, etc..
in the old kernel 2.6.6-1.435 every thing was fine. the original vfat
partition was created by using win xp.

my mount options in /etc/fstab are 

/dev/hdb5               /mnt/daten              vfat   
defaults,uid=chris,gid=chris,codepage=850,iocharset=iso8859-1,uni_xlate=1,shortname=winnt
0 0
/mnt/daten              /home/chris/daten       vfat    bind

i tried the following (after googling):
- changed the line in /etc/sysconfig/i18n to 
LANG="de_DE"

now vfat mounts correctly display filenames but cifs mounts are
coruppted. with LANG="de_DE.UTF-8" its vice versa.

thanx a lot&all the best

christoph

Version-Release number of selected component (if applicable):
uname -r
uname -r   --> 2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1. mount a vfat filesystem (problem appears on both my laptop and
desktop system)
2.
3.
    

Additional info:

Comment 1 Dave Jones 2005-04-16 05:19:04 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.